=head1 NAME

log4shib-config - Flags for linking with the log4shib library

=head1 SYNOPSIS

B<log4shib-config> [B<--prefix>[=I<dir>]] [B<--exec-prefix>[=I<dir>]]
    [B<--package>] [B<--version>] [B<--cflags>] [B<--libs>] [B<--help>]

=head1 DESCRIPTION

B<log4shib-config> prints out various configuration information for the
log4shib library, such as the compiler and linker flags required to build
and link programs against the library.

log4shib provides a library of C++ classes for flexible logging to files,
syslog, and other destinations.  It is modeled after the log4j Java
library, staying as close to that API as is reasonable.

log4shib is a fork of the log4cpp library with additional fixes and
modifications to improve its thread safety and robustness.  It is
primarily intended for use by the Shibboleth web authentication system.

=head1 OPTIONS

=over 4

=item B<--help>

Prints a usage message.  This is the default action.

=item B<--cflags>

Prints the compiler flags required to build software using log4shib.

=item B<--libs>

Prints the linker flags required to link software with log4shib.

=item B<--package>

Prints the name of the log4shib package.

=item B<--version>

Prints the version of log4shib from which this script came.

=item B<--prefix>[=I<dir>]

Prints the prefix with which log4shib was compiled.  If the optional
argument is supplied, also sets the prefix to I<dir> for any subsequent
flags.  (This is rarely useful.)

=item B<--exec-prefix>[=I<dir>]

Prints the prefix for compiled files with which log4shib was compiled.  If
the optional argument is supplied, also sets the exec prefix to I<dir> for
any subsequent flags.  (This is rarely useful.)

=back

Other, lesser-used options are also available to print out additional
configure-time information.  Run with B<--help> for a full list of
available options.

=head1 AUTHOR

Written by Russ Allbery <rra@debian.org> for the Debian distribution.

=cut
